For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
On this page
  • API Keys
  • Environments
  • Plans
  • Companies
  • Users
  • Events
  • Features
  • Flags
  • Entitlements
  • Feature Usage
  • Account Members

Resources

Was this page helpful?

Authentication

Next
Built with

API Keys

API keys allows you to create and manage API keys across environments.

  • GET /api-keys
  • GET /api-keys/{api_key_id}
  • POST /api-keys
  • PUT /api-keys/{api_key_id}
  • DEL /api-keys/{api_key_id}

Environments

Environments typically represent the stages of your software development lifecylce (common environments include development, staging, and production). With this resource, you can create and manage environments. Some objects are shared across environments.

  • POST /environments
  • PUT /environments/{environment_id}
  • DEL /environments/{environment_id}

Plans

Plans allows you to create and manage both plans and plan audiences, making it easier to ensure plan audiences are governed by the right conditions. You can also retrieve plans for one or more companies.

  • GET /plans
  • GET /plans/{plan_id}
  • POST /plans
  • PUT /plans/{plan_id}
  • DEL /plans/{plan_id}

Companies

Companies allows you to upsert and delete companies and their corresponding metadata, as well as create user and company associations. You can also retrieve company plans, users, and metadata with this resource.

  • GET /companies
  • POST /companies
  • GET /companies/lookup
  • DEL /companies/{company_id}
  • POST /companies/delete
  • GET /company-memberships
  • POST /company-memberships
  • DEL /company-memberships/{company_membership_id}
  • POST /company-traits

Users

Users allows you to upsert and delete users, as well as lookup a user’s company associations.

  • GET /users
  • GET /users/lookup
  • POST /users
  • DEL /users/{user_id}
  • POST /users/delete
  • POST /user-traits

Events

Events allows you to create identify and track event calls either indivdually or in a batched fashion, making it easier to update company and user traits as well as emit usage data to Schematic.

  • GET /events
  • POST /events
  • POST /event-batch
  • GET /events/{event_id}

Features

Features allows you to create and manage features, making it easier to build and manage default feature configuration.

  • GET /features
  • GET /features/{feature_id}
  • POST /features
  • PUT /features/{feature_id}
  • DEL /features/{feature_id}

Flags

Flags allows you to create and manage flags, making it easier to programatically build and manage flag conditions. You can also use this resource to retrieve flag evaluations individually or in a batched fashion with or without a context (e.g. company).

  • GET /flags
  • GET /flags/{flag_id}
  • POST /flags
  • PUT /flags/{flag_id}
  • DEL /flags/{flag_id}
  • PUT /flags/{flag_id}/rules
  • POST /flags/{key}/check
  • POST /flags/check

Entitlements

Entitlements allows you to manage default plan entitlements and individual company entitlements (aka overrides). You can also retrieve feature usage data at the feature or company levels from this resource.

  • GET /company-overrides
  • GET /company-overrides/{company_override_id}
  • POST /company-overrides
  • POST /company-overrides/{company_override_id}
  • DEL /company-overrides/{company_override_id}
  • GET /plan-entitlements
  • GET /plan-entitlements/{plan_entitlement_id}
  • POST /plan-entitlements
  • PUT /plan-entitlements/{plan_entitlement_id}
  • DEL /plan-entitlements/{plan_entitlement_id}

Feature Usage

Feature Usage allows you to retrieve usage at the feature and company-feature levels, making it easy to populate components within your application.

  • GET /feature-usage

Account Members

Account Members allows you to list and retrieve users who are members of your Schematic account.

  • GET /account-members
  • GET /account-members/{account_member_id}